Sunset Watchmouse's status.wikimedia.org
Closed, ResolvedPublic

Description

We've been talking about a new (better, functional etc.) status.wikimedia.org page for quite some time, but in the meantime have settled on keeping the existing Watchmouse status page.

Unfortunately, that particular page:
a) Has checks that we're not really maintaining;
b) Provides no way to manually update that page;
c) Is not something we actively look at;
d) Is hosted by a third-party and also loads third-party resources, incl. Google Analytics (T115945)
e) Reports all ok when there are major outages (T195530)

Therefore, its usefulness is limited, the page is misleading and the end result not something that we're proud of. At this point I think we're better off just taking that page down entirely.

faidon created this task.Jul 17 2018, 4:26 PM
faidon triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2018, 4:26 PM

Change 446358 had a related patch set uploaded (by Faidon Liambotis; owner: Faidon Liambotis):
[operations/puppet@production] Remove status.wikimedia.org monitoring check

https://gerrit.wikimedia.org/r/446358

Change 446359 had a related patch set uploaded (by Faidon Liambotis; owner: Faidon Liambotis):
[operations/dns@master] Remove status.wikimedia.org A/AAAA

https://gerrit.wikimedia.org/r/446359

Agreed on removing status.w.o, not used by us and confusing for users. We might reintroduce it later with sth similar that fits better our requirements.

BBlack added a subscriber: BBlack.Jul 19 2018, 1:14 PM

IIRC, there's a bunch of crazy config supporting it on the same rackspace server that hosts wikitech-static. Some hacky stuff I threw together to proxy from watchmouse because they didn't support HTTPS. So, we should probably ssh over to there and kill that stuff, too, after the patches above are done.

Mentioned in SAL (#wikimedia-operations) [2018-07-23T08:42:20Z] <godog> enable deprecation page for status.w.o - T199816

I've setup a very bare deprecation page for status.wikimedia.org, we can sunset the DNS name in some weeks time.

@Quiddity thanks for the list! I'm updating meta, mediawiki and wikitech to remove mentions of status.wikimedia.org and watchmouse and point to this task where appropriate.

fgiunchedi moved this task from Backlog to Up next on the User-fgiunchedi board.
fgiunchedi moved this task from Backlog to In progress on the monitoring board.Jul 23 2018, 3:00 PM
fgiunchedi closed this task as Resolved.Jul 26 2018, 10:42 AM
fgiunchedi claimed this task.

It has been decided at the SRE weekly meeting to leave the deprecation page up indefinitely instead of removing the DNS name. I've updated enwiki pages as well, resolving this task and subtasks.

waldyrious added a subscriber: waldyrious.EditedAug 16 2018, 2:34 PM

I've setup a very bare deprecation page for status.wikimedia.org, we can sunset the DNS name in some weeks time.

Is there a task tracking the set up of a more layman-friendly frontend to follow the status of Wikimedia services other than https://grafana.wikimedia.org/dashboard/db/frontend-traffic? If not, would one be considered relevant?

At the very least, the text "related dashboards" in the deprecation page should link to https://grafana.wikimedia.org/?orgId=1 or some other overview page (perhaps a relevant Wikitech page?).

Framawiki added a comment.EditedAug 22 2018, 10:40 PM

@waldyrious Just note that if Wikipedia was down, people will try to find more information, and Grafana, Wikitech or other alternative spaces will IMO not be able to handle all the traffic. It's why no links to phabricator should appear in error pages, I suppose it's the same for others.

Change 446358 abandoned by Faidon Liambotis:
Remove status.wikimedia.org monitoring check

Reason:
We went with a static age instead.

https://gerrit.wikimedia.org/r/446358

Change 446359 abandoned by Faidon Liambotis:
Remove status.wikimedia.org A/AAAA

Reason:
We went with a static age instead.

https://gerrit.wikimedia.org/r/446359